#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

BUILDDIR = build

override_dh_auto_configure:
	autoreconf -vfi
	dh_auto_configure --builddirectory=$(BUILDDIR) -- \
		--disable-silent-rules \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build build-arch build-indep binary binary-arch binary-indep:
	dh $@ --builddirectory=$(BUILDDIR)

clean:
	dh $@ --builddirectory=$(BUILDDIR)
	rm -f aclocal.m4 configure config.guess config.sub config.h.in
	rm -f depcomp install-sh missing
	find -name Makefile.in -delete
